// Loadable modules
//
// Generated by ../../bin/vtkProcessXML
//
#ifndef ContourLabelPlugin_server_manager_modules_data_h
#define ContourLabelPlugin_server_manager_modules_data_h

#include <cstring>
#include <cassert>
#include <algorithm>


// From file /builddir/build/BUILD/paraview-5.12.1-build/ParaView-v5.12.1/Plugins/ContourLabelPlugin/Representations/ContourLabelPlugin.xml
static const char* const ContourLabelPlugin_server_manager_modulesContourLabelPluginInterface0 =
"<ServerManagerConfiguration>\n"
"  <ProxyGroup name=\"representations\">\n"
"\n"
"    <RepresentationProxy name=\"ContourLabelRepresentation\"\n"
"      class=\"vtkContourLabelRepresentation\"\n"
"      processes=\"client|renderserver|dataserver\">\n"
"\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <DataTypeDomain name=\"input_type\" composite_data_supported=\"0\">\n"
"          <DataType value=\"vtkPolyData\" />\n"
"          <DataType value=\"vtkCompositeDataSet\" />\n"
"        </DataTypeDomain>\n"
"        <InputArrayDomain attribute_type=\"point\"\n"
"                          name=\"input_array_contour\"\n"
"                          number_of_components=\"1\"/>\n"
"        <Documentation>Set the input to the representation.</Documentation>\n"
"      </InputProperty>\n"
"\n"
"      <StringVectorProperty name=\"LabelArray\"\n"
"                            command=\"SetInputArrayToProcess\"\n"
"                            number_of_elements=\"5\"\n"
"                            element_types=\"int int int int str\"\n"
"                            default_values=\"1 0 0 0 0\">\n"
"        <ArrayListDomain attribute_type=\"Scalars\"\n"
"                        input_domain_name=\"input_array_contour\"\n"
"                        name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\" name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"        <Documentation>Set which array will be used to retrieve label informations.</Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <!-- Here and below : every \"standard\" property used when this Proxy is registered as an extension\n"
"      of GeometryRepresentation -->\n"
"      <DoubleVectorProperty command=\"SetAmbientColor\"\n"
"                            default_values=\"1 1 1\"\n"
"                            name=\"AmbientColor\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain max=\"1 1 1\" min=\"0 0 0\" name=\"range\" />\n"
"        <Hints>\n"
"          <PropertyLink group=\"settings\" proxy=\"ColorPalette\" property=\"ForegroundColor\" unlink_if_modified=\"1\" />\n"
"        </Hints>\n"
"      </DoubleVectorProperty>\n"
"      <StringVectorProperty command=\"SetInputArrayToProcess\"\n"
"                            element_types=\"0 0 0 0 2\"\n"
"                            name=\"ColorArrayName\"\n"
"                            no_custom_default=\"1\"\n"
"                            number_of_elements=\"5\">\n"
"        <RepresentedArrayListDomain name=\"array_list\" input_domain_name=\"input_array_any\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\" name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </RepresentedArrayListDomain>\n"
"      </StringVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetDiffuseColor\"\n"
"                            default_values=\"1 1 1\"\n"
"                            name=\"DiffuseColor\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain max=\"1 1 1\" min=\"0 0 0\" name=\"range\" />\n"
"        <Hints>\n"
"          <PropertyLink group=\"settings\" proxy=\"ColorPalette\" property=\"SurfaceColor\" unlink_if_modified=\"1\" />\n"
"        </Hints>\n"
"      </DoubleVectorProperty>\n"
"      <ProxyProperty command=\"SetLookupTable\"\n"
"                     name=\"LookupTable\" >\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"lookup_tables\" />\n"
"        </ProxyGroupDomain>\n"
"      </ProxyProperty>\n"
"      <IntVectorProperty default_values=\"0\"\n"
"                         name=\"UseSeparateColorMap\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"never\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetInterpolateScalarsBeforeMapping\"\n"
"                         default_values=\"1\"\n"
"                         name=\"InterpolateScalarsBeforeMapping\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetMapScalars\"\n"
"                         default_values=\"1\"\n"
"                         name=\"MapScalars\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetOpacity\"\n"
"                            default_values=\"1.0\"\n"
"                            name=\"Opacity\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain max=\"1\" min=\"0\" name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty command=\"SetLineWidth\"\n"
"                            default_values=\"1.0\"\n"
"                            name=\"LineWidth\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain min=\"0\" name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetRenderLinesAsTubes\"\n"
"                         default_values=\"0\"\n"
"                         name=\"RenderLinesAsTubes\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"\n"
"      <!-- Property specific to the ContourLabelRepresentation -->\n"
"      <DoubleVectorProperty command=\"SetSkipDistance\" default_values=\"200\" name=\"SkipDistance\" number_of_elements=\"1\">\n"
"        <Documentation>\n"
"          Minimal distance (in pixel) between each label on a line.\n"
"          The higher the less labels will be rendered.\n"
"        </Documentation>\n"
"        <DoubleRangeDomain min=\"10\" max=\"800\" name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <SubProxy command=\"SetLabelTextProperty\">\n"
"        <Proxy name=\"LabelTextProperty\" proxygroup=\"properties\" proxyname=\"TextProperty\" />\n"
"        <ExposedProperties>\n"
"          <Property exposed_name=\"LabelColor\" name=\"Color\" />\n"
"          <Property exposed_name=\"LabelOpacity\" name=\"Opacity\" />\n"
"          <Property exposed_name=\"LabelFontFamily\" name=\"FontFamily\" />\n"
"          <Property exposed_name=\"LabelFontFile\" name=\"FontFile\" />\n"
"          <Property exposed_name=\"LabelFontSize\" name=\"FontSize\" />\n"
"          <Property exposed_name=\"LabelBold\" name=\"Bold\" />\n"
"          <Property exposed_name=\"LabelItalic\" name=\"Italic\" />\n"
"          <Property exposed_name=\"LabelShadow\" name=\"Shadow\" />\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"\n"
"    </RepresentationProxy>\n"
"\n"
"    <Extension name=\"GeometryRepresentation\">\n"
"      <RepresentationType subproxy=\"ContourLabelRepresentation\"\n"
"                          text=\"Labeled Contour\"/>\n"
"\n"
"      <SubProxy>\n"
"        <Proxy name=\"ContourLabelRepresentation\"\n"
"               proxygroup=\"representations\"\n"
"               proxyname=\"ContourLabelRepresentation\"/>\n"
"        <ShareProperties subproxy=\"SurfaceRepresentation\">\n"
"          <Exception name=\"Input\" />\n"
"        </ShareProperties>\n"
"        <ExposedProperties>\n"
"          <PropertyGroup label=\"Labeled Contour\" >\n"
"            <Property name=\"LabelArray\"/>\n"
"            <Property name=\"SkipDistance\" />\n"
"            <Hints>\n"
"              <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                       mode=\"visibility\"\n"
"                                       property=\"Representation\"\n"
"                                       value=\"Labeled Contour\" />\n"
"            </Hints>\n"
"          </PropertyGroup>\n"
"          <PropertyGroup label=\"Contour Label Properties\" panel_widget=\"FontEditor\">\n"
"            <Property name=\"LabelColor\" function=\"Color\"/>\n"
"            <Property name=\"LabelOpacity\" function=\"Opacity\"/>\n"
"            <Property name=\"LabelFontFamily\" function=\"Family\"/>\n"
"            <Property name=\"LabelFontFile\" function=\"File\"/>\n"
"            <Property name=\"LabelFontSize\" function=\"Size\"/>\n"
"            <Property name=\"LabelBold\" function=\"Bold\"/>\n"
"            <Property name=\"LabelItalic\" function=\"Italics\"/>\n"
"            <Property name=\"LabelShadow\" function=\"Shadow\"/>\n"
"            <Hints>\n"
"              <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                       mode=\"visibility\"\n"
"                                       property=\"Representation\"\n"
"                                       value=\"Labeled Contour\" />\n"
"            </Hints>\n"
"          </PropertyGroup>\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"    </Extension>\n"
"\n"
"  </ProxyGroup>\n"
"</ServerManagerConfiguration>\n"
"\n";
// Get single string
inline char* ContourLabelPlugin_server_manager_modulesContourLabelPluginGetInterfaces()
{

  const size_t len0 = strlen(ContourLabelPlugin_server_manager_modulesContourLabelPluginInterface0);
  size_t len = ( 0
    + len0 );
  char* res = new char[ len + 1];
  size_t offset = 0;
  std::copy(ContourLabelPlugin_server_manager_modulesContourLabelPluginInterface0, ContourLabelPlugin_server_manager_modulesContourLabelPluginInterface0 + len0, res + offset); offset += len0;
  assert(offset == len);
  res[offset] = 0;
  return res;
}



#endif
